# Delegation

Contract instantiated via `CREATE2` to handle a Delegation by a delegator to a delegatee. A Delegation allows his owner to execute calls on behalf of the contract. This contract is intended to be counterfactually instantiated via `CREATE2` through the LowLevelDelegator contract. This contract will hold tickets that will be delegated to a chosen delegatee.

## Write methods description

### initialize()

Initializes the delegation.

Parameters:

<table><thead><tr><th width="165.33333333333331">Name</th><th width="139">Type</th><th> Description</th></tr></thead><tbody><tr><td><strong>_lockUntil</strong></td><td>uint96</td><td>Timestamp until which the delegation is locked.</td></tr></tbody></table>

### executeCalls()

Executes calls on behalf of this contract.

Parameters:

<table><thead><tr><th width="190">Name</th><th width="168.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>_calls</strong></td><td>Call[]</td><td>The array of calls to be executed.</td></tr></tbody></table>

Return:

<table><thead><tr><th width="158.33333333333331">Name</th><th width="152">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>_data</strong></td><td>bytes[]</td><td>An array of the return values for each of the calls.</td></tr></tbody></table>

### setLockUntil()

Set the timestamp until which the delegation is locked.

Parameters:

<table><thead><tr><th width="165">Name</th><th width="135.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>_lockUntil</strong></td><td>uint96</td><td>The timestamp until which the delegation is locked.</td></tr></tbody></table>

## Read methods description

### lockUntil()

&#x20;Timestamp until which the delegation is locked.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.asymetrix.io/resources/developers-docs/delegation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
